NAME Fresh Set of Towels
NAM2 a fresh set of towels
ICON items/s_twl.jpg 59
GFXP items/l_twl.jpg 14
FLAG loot unique
DIST warm hot
TEXT Crisp, clean linen, with that still-warm fresh-from-the-drier feel. Let all the galaxy know that you're a really hoopy frood who still knows where his towel is.
COST 800 other
TYPE other

